using Cysharp.Threading.Tasks;
using UnityEngine;

namespace Services.Interfaces {
    public interface IGameBoardService {
        void Setup();
        
        UniTask<bool> TrySwap(Vector2Int from, Vector2Int to);
        void TrySwitch(Vector2Int position);
    }
}